
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java-Java关于接口和类的对象的关系的问题 / iVAN</title>

    <meta name="description" content="java-Java关于接口和类的对象的关系的问题 问题描述 Java关于接口和类的对象的关系的问题 先上代码 public interface Read{ } public class Student implements Read{ } public class Create{ private Read read; public void setRead(Read read){ this.read=read; } public Read getRead(){ return this.read; } } 现在在另一个类的方法中 Read rea">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java-Java关于接口和类的对象的关系的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>Java关于接口和类的对象的关系的问题
        </dt>
<dd>
          <br />先上代码<br />
public interface Read{</p>
<p>}</p>
<p>public class Student implements Read{</p>
<p>}</p>
<p>public class Create{<br />
    private Read read;<br />
    public void setRead(Read read){<br />
            this.read=read;<br />
    }<br />
    public Read getRead(){<br />
       return this.read;<br />
    }<br />
}</p>
<p>现在在另一个类的方法中<br />
Read read=new Create().getRead();</p>
<p>下面有两个问题:<br />
1.如果  read instanceof  Student  返回true 还是 false <br />
2.Student stu=(Student)read; 能这么写么?为什么呢?</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>首先，第一个问题，read instanceof Student返回值跟你的Read传递的实际类型有关系，如果传递的是一个Student对象，是会返回true的。<br />
测试代码：</p>
<pre><code> public class Create {
    private Read read;

    public void setRead(Read read) {
        this.read = read;
    }

    public Read getRead() {
        return this.read;
    }

    public static void main(String[] args) {
        Create t = new Create();
        t.setRead(new Student());
        Read read=t.getRead();
        System.out.println(read instanceof Student );
    }
}
</code></pre>
<p>修正你的Create代码，传递Read对象为Student的实现时，第一个问题就是true，当然如果传入的Read不是Student的实例，就是false.<br />
其次，这个问题，跟第一个问题的本质是一样的，要看传递的Read的实际类型是什么，如果是我测试类给的Student的实例，那么就能正确转换成功，但是如果是其他Read的实现，这个这句话不会报编译错误，却会有运行时异常。测试代码如下：</p>
<pre><code> public class OtherRead implements Read{

    @Override
    public void read() {
        System.out.println("other read.");

    }

    public static void main(String[] args) {
        Create t = new Create();
        t.setRead(new OtherRead());
        Read read=t.getRead();
        System.out.println(read instanceof Student );
        Student s = (Student)read;
    }
}
</code></pre>
<p>上述测试传入的是其他Read的实现类的对象，那么就会运行是异常：</p>
<pre><code> false
Exception in thread "main" java.lang.ClassCastException: bit.OtherRead cannot be cast to bit.Student
    at bit.OtherRead.main(OtherRead.java:16)

</code></pre>
<p>解决方案二：<br />
    <br />read instanceof Student，false 反过来是true<br />
Student stu=(Student)read，这个可以，因为student继承自read接口，如果read具体是由Student类实例化的就没问题</p>
<p>解决方案三：<br />
    <br />1：true ；2： Student是read的实现！</p>
<p>解决方案四：<br />
    <br />如果 read instanceof Student 返回false，read是接口，student是read的实例；<br />
Student stu=(Student)read;这么写没问题，student实现了read接口，可以向下转型。</p>
<p>解决方案五：<br />
    <br />如果 read instanceof Student 返回false，read是接口，student是read的实例；<br />
Student stu=(Student)read;这么写没问题，student实现了read接口，可以向下转型。</p>
<p>解决方案六：<br />
    <br />如果 read instanceof Student 返回false，read是接口，student是read的实例；<br />
Student stu=(Student)read;这么写没问题，student实现了read接口，可以向下转型。</p>
<p>解决方案七：<br />
    <br />如果 read instanceof Student 返回false，read是接口，student是read的实例；<br />
Student stu=(Student)read;这么写没问题，student实现了read接口，可以向下转型。</p>
<p>解决方案八：<br />
    <br />如果 read instanceof Student 返回false，read是接口，student是read的实例；<br />
Student stu=(Student)read;这么写没问题，student实现了read接口，可以向下转型。</p>
<p>解决方案九：<br />
    <br />read instanceof Student，false 反过来是true<br />
Student stu=(Student)read，这个可以，因为student继承Read接口，如果Read是由Student类实例化的就没问题,这是多态。</p>
<p>解决方案十：<br />
    <br />看这个Student是否为Student类的实例判断true和false</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 23:49:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java-Java关于接口和类的对象的关系的问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2VQvob.html" rel="bookmark">Java中类的创建及类与对象的关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//import java.util.Scanner; //创建一个类 class Person{ //属性和方法的定义不是必须的 //属性 String name ; int age ; //方法 public void tell(){ System.out.println(&quot;姓名&quot;+name+&quot; 年龄 &quot;+age); } } public class HelloWorld { public static void main(String[] args){ //创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7xgRRb.html" rel="bookmark">类和对象的关系，以及类的设计及其操作步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我学过一些面向对象的语言:有JAVA,C#,C++.但是对方法,函数,类和对象的概念,它们之间的关系,编写代码时类的设计和操作的理解仍然不太清楚,请求专家能够给出详细的解答,谢谢! 解决方案 解决方案二:拿生活中的例子来说吧,人:是一个统称,称其为类.人会走路,说活,思考等:这叫作类的方法,方法和函数其实是一样的,函数放到类里就叫方法了.你或我或他:这种一个个具体的&quot;人&quot;叫做人这个类的实例,也叫类的对象吧.解决方案三:简单地说...类是对象的抽象...对象是类的实例...同一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNQYd7b.html" rel="bookmark">详解Java继承中属性、方法和对象的关系&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道子类继承父类是类型的继承,包括属性和方法!如果子类和父类中的方法签名相同就叫覆盖!如果子类和父类的属性相同,父类就会隐藏自己的属性! 但是如果我用父类和子类所创建的引用指向子类所创建的对象,父类引用所调用子类对象中的属性值或方法的结果是什么呢? 看代码: public class FieldDemo { public static void main(String[] args){ Student t = new Student(&quot;Jack&quot;); Person p = t;/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrEZ1b.html" rel="bookmark">初学Java入门--类与对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				初学|对象 4.2 类与对象 4.2.1 类 在面向对象的语言中,类是个很重要的概念.面向对象的方法把所有的处理对象进行归类.具有相同性质的对象归为一类.例如学校里有很多学生,每个学生都是一个对象,而&quot;学生&quot;则是一个类,它包含了所有在学校学习的人. 在Java语言里,对象是一组描述对象的属性和操作方法的集合,其中属性表明对象的状态,方法表明对象的行为.类是对象的定义.一个对象具有哪些属性和方法,由类来决定.从编程角度看,类是一种复合数据类型,它封装了一组变量和方法(函数). 声明一个类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn692Kp.html" rel="bookmark">解析Java的JVM以及类与对象的概念&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java虚拟机(JVM)以及跨平台原理 相信大家已经了解到Java具有跨平台的特性,可以&quot;一次编译,到处运行&quot;,在Windows下编写的程序,无需任何修改就可以在Linux下运行,这是C和C++很难做到的. 那么,跨平台是怎样实现的呢?这就要谈及Java虚拟机(Java Virtual Machine,简称 JVM). JVM也是一个软件,不同的平台有不同的版本.我们编写的Java源码,编译后会生成一种 .class 文件,称为字节码文件.Java虚拟机就是负责将字节码文件翻译成特定平			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqREw2p.html" rel="bookmark">Java 25天基础-DAY 05-面向对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面向对象: 面向对象是相对面向过程而言: 面向对象和面向过程都是一种思想: 面向过程,强调的是功能行为 面向对象,将功能封装进对象,强调具备了功能的对象: 面向对象是基于面向过程的.     面向过程和面向对象: 面向过程的角色是执行者的角度. 面向对象的角色是指挥者的角度.   面向对象,是一种变成的思想,能把复杂的问题简单话,把执行者,变成指挥者. 思想比较抽象,可以举例说明. 事例: 电脑的窗口中有最大化,最小化,关闭:将这三个功能封装到窗口中就是面向对象的应用. 人开门:开的功能是门自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZA14b.html" rel="bookmark">浅析Java中comparator接口与Comparable接口的区别&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Comparable 简介 Comparable 是排序接口. 若一个类实现了Comparable接口,就意味着&quot;该类支持排序&quot;.  即然实现Comparable接口的类支持排序,假设现在存在&quot;实现Comparable接口的类的对象的List列表(或数组)&quot;,则该List列表(或数组)可以通过 Collections.sort(或 Arrays.sort)进行排序. 此外,&quot;实现Comparable接口的类的对象&quot;可以用作&quot;有序映射(如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rJlap.html" rel="bookmark">谈谈我对面向对象以及类与对象的理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于刚接触JAVA或者其他面向对象编程语言的朋友们来说,可能一开始都很难理解面向对象的概念以及类和对象的关系.笔者曾经带过一个短期培训班教授java入门基础,在最后结束课程的时候,还有很多同学不太理解面向对象的思维以及类与对象的意义.这几天有空,就想着整理整理自己的思路,谈谈自己对面向对象以及类与对象的理解. 面向对象 首先,一言不和先百度,得到如下定义: 一切事物皆对象,通过面向对象的方式,将现实世界的事物抽象成对象,现实世界中的关系抽象成类.继承,帮助人们实现对现实世界的抽象与数字建模. 我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVw4Ykb.html" rel="bookmark">后台开发：核心技术与应用实践2&period;1　类与对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 面向对象的C++ 学习C++,一定要学会面向对象编程.首先讲下&quot;面向对象&quot;产生的历史原因,主要有以下两点. (1)计算机只会按照人所写的代码,一步一步地执行下去,最终得到结果.无论程序多么复杂,计算机总是能轻松应付.结构化编程,就是按照计算机的思维写出的代码,但是人看到这么复杂的逻辑,无法进行维护和扩展. (2)结构化设计是以功能为目标来构造应用系统,这种做法导致程序员设计程序时,不得不将客体所构成的现实世界映射到由功能模块组成的解空间中,这种转换过程,背离了人们观察和解决问题			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxYGBp.html" rel="bookmark" class="title">PS给外景MM调出怀旧胶片色效果调色教程</a>
					<div>
						介绍用PS给MM外景照片调出漂亮怀旧的胶片色效果,主要用到曲线.色相饱和度.纯色调整层等,效果很漂亮的,喜欢的同学可以一起来学习一下! 效果图: 原图: 1.打开原图,复制图层. 2.由于原片色彩比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLdo0p.html" rel="bookmark" class="title">Photoshop打造清新的淡红色夏季美女图片</a>
					<div>
						素材图片主色为绿色,转淡红色的时候,先降低图片的饱和度并把主色转为红色,然后把整体颜色稍微调淡,暗部及高光部分增加一点蓝色即可. 原图 最终效果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL49ap.html" rel="bookmark" class="title">如何从 MySQL 数据库表中检索数据</a>
					<div>
						1.从数据库表中检索信息 实际上,前面我们已经用到了SELECT语句,它用来从数据库表中检索信息. select语句格式一般为: SELECT 检索关键词 FROM 被检索的表 WHERE 检索条件( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw3BQz.html" rel="bookmark" class="title">在ASP中连接MySQL数据库的方法</a>
					<div>
						折腾了一阵,总算把ASP和MySQL连接完成了,有感,特写此文与大家一同分享 . 查了很多资料,ASP和MySQL连接目前有两种办法:一个是使用组件,比 较有名是MySQLX,可惜要99美元.二就是使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKK0Op.html" rel="bookmark" class="title">邀请QQ好友-QQ联系人导入&lpar;下&rpar;</a>
					<div>
						Jsp代码 &lt;%@ page language=&quot;java&quot; pageEncoding=&quot;UTF-8&quot;%&gt; &lt;%@page import=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN5nDb.html" rel="bookmark" class="title">PS cs5调整边缘让去背景</a>
					<div>
						Photoshop CS5新增了一个神奇的去背功能,那就是利用选取范围的[调整边缘]将背景去除掉,而此方法原比先前的摘取来的强大许多,这个调整边缘功能,除了可快速的完成去背外,还可以修正白边以及边缘平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62rKYM.html" rel="bookmark" class="title">NETGEAR WNDR3800怎么样</a>
					<div>
						  NETGEAR WNDR3800尺寸规格为223x153x31毫米(8.8x6.0x1.2英寸),延续了网件高端产品的一贯形象,体积高而大.配备上垂直支架格外醒目,用户可以自由支配.可以选择挂墙. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm7Kmz.html" rel="bookmark" class="title">PS给照片祛斑美白教程</a>
					<div>
						据保守估计,人眼的有效图像数据量相当于5.76亿像素.照相机 的像素自然是比不过人眼的,所以很多时候,照相机拍出来的效 果没有你自己眼中的完美,但是PS的后期处理可以让它呈现另一 种美感.很多MM对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArlxKp.html" rel="bookmark" class="title">为什么 Internet Explorer 9&sol;8 总是要在新窗口中打开网页？</a>
					<div>
						使用 Internet Explorer 9/8 打开链接的时候,为什么总是要在新窗口打开而无法在同一窗口的新选项卡打开? 某些程序通过代码的编写确实可以绕过 IE 浏览器的设置,强制在新窗口中打开网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oyZ7b.html" rel="bookmark" class="title">win7右下角升级win10图标去除方法</a>
					<div>
						  Win10系统是目前市面上比较先进的系统,很多人已经开始用起了win10系统,但是仍然有很多人对win10并不感冒,这不,在windows7系统下,桌面的右下角弹出自动升级系统时,不少人表示很反感 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa5dxM.html" rel="bookmark" class="title">Win7系统下如何创建各种形式网络</a>
					<div>
						  win7系统下的网络设置方面和之前的XP系统下有了很大的区别,大家刚接触的时候都不知道从何处下手,下面我就来讲一下win7系统怎么样建立各种形式的网络. 工具/原料 一.创建无线网络链接: 1.打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmNmdz.html" rel="bookmark" class="title">Macbook Air硬盘类型是什么</a>
					<div>
						Macbook Air硬盘类型是SSD固态硬盘. 2008年1月15日,苹果公司发布了其首款超薄型笔记本电脑--MacBook Air,轻薄无双,业界震惊!2010年10月,苹果发布第二代MBA.这次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLE5Rb.html" rel="bookmark" class="title">电脑不断重启怎么办</a>
					<div>
						  都有哪些故障会导致电脑无限重启呢?电脑出现故障后,找不到问题根源,会令人十分头痛,有时候问题其实并不严重,大家一起来看看导致电脑重启的原因吧. 1.病毒 ,清除病毒,木马. 2.检查CPU和显卡的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W0J6b.html" rel="bookmark" class="title">如何取消电脑开机硬盘自检</a>
					<div>
						  取消开机硬盘自检,可以按下面方法进行: 单击&quot;开始→运行&quot;,在&quot;运行&quot;对话框中输入&quot;regedit&quot;打开注册表编辑器,依次选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjYAKb.html" rel="bookmark" class="title">大规模集群自动化部署SSH无密码登陆</a>
					<div>
						大家需要在每个节点上提前装好&quot;expect&quot;工具 expect的使用请看我的另一篇文章: http://tianxingzhe.blog.51cto.com/3390077/168 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywBJdz.html" rel="bookmark" class="title">SignalR代理对象异常：Uncaught TypeError&colon; Cannot read property &amp;&num;039&semi;client&amp;&num;039&semi; of undefined 推出的结论</a>
					<div>
						 异常汇总:http://www.cnblogs.com/dunitian/p/4523006.html#signalR 后台创建了一个DntHub的集线器 前台在调用的时候出现了问题(经检查是代理对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NqYyM.html" rel="bookmark" class="title">推荐一下我的个人博客&colon;业余草-www&period;xttblog&period;com</a>
					<div>
						牢骚: 在中国盗版问题真的很严重,以前我写在csdn上的博客都被盗到其他网站上了.而最近,我建立了自己的个人博客:业余草,然后我写的文章不到2个小时都出现在其他网站上了.对此我资讯了各大博客专家,也没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWK6Wp.html" rel="bookmark" class="title">利用runnable接口的父类被继承，子类运行后会产生几个线程</a>
					<div>
						问题描述 利用runnable接口的父类被继承,子类运行后会产生几个线程 父类使用了runnable接口,子类继承父类,那么调用子类的start()方法后,会产生几个线程? //父类 public c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwo9QM.html" rel="bookmark" class="title">mysql-关于时间段的汇总查询，如何实现？</a>
					<div>
						问题描述 关于时间段的汇总查询,如何实现? sign db_username db_ip beginTime endTime downloadFiles tom 125.92.142.224 1378 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjoL6p.html" rel="bookmark" class="title">C&num;更新Update数据库中某一表的值的问题</a>
					<div>
						问题描述 我在数据库中建了一个表,名为:ID,含有id和number.id=001对应number=1001,002对应1002,003对应1003.然后在VS2012中建立控件如图所示:我的需求是: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZrQqz.html" rel="bookmark" class="title">iostream-关于C&plus;&plus;结构体程序的问题</a>
					<div>
						问题描述 关于C++结构体程序的问题 请大神们帮我看看这个程序到底在讲什么 #include &lt;iostream&gt; using namespace std; struct DATA { i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAYD6p.html" rel="bookmark" class="title">开源IndexR&colon;如何对上千亿的数据进行秒级探索式分析</a>
					<div>
						在当前信息大爆炸的时代,&quot;大数据&quot;已成为互联网行业人人谈论的热词和话题,比如近几年快速发展的基于大数据进行精准用户定向的程序化广告,以及去年马云提出的利用大数据重塑商品的生产 -  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmQekM.html" rel="bookmark" class="title">大数据教你如何聊体育</a>
					<div>
						哈喽童鞋们! 支付宝服务窗有奖互动来啦,先说规则哦! 请将下面问题的答案直接回复至阿里云支付宝服务窗中,在答对的童鞋中,我们将随机抽取5位,奖励为50~300元金额不等的支付宝现金红包!答题时间截至2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmP7QM.html" rel="bookmark" class="title">ExpandableListView简单应用及listview模拟ExpandableListView</a>
					<div>
						  首先我们还是来看一些案例,还是拿搜狐新闻客户端,因为我天天上下班没事爱看这个东东,上班又没时间看新闻,上下班路途之余浏览下新闻打发时间嘛.                            看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RXZkb.html" rel="bookmark" class="title">OLTP和OLAP的区别</a>
					<div>
						联机事务处理OLTP(on-line transaction processing)主要是执行基本的.日常的事务处理,比如数据库记录的增.删.改.查.比如在银行存取一笔款,就是一个事务交易. OLTP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKx1Vb.html" rel="bookmark" class="title">上传文件 ，当IE11遇上了VC6&period;0</a>
					<div>
						问题描述 上传文件 ,当IE11遇上了VC6.0 用上传了一个cpp文件,接着用VC6.0打开该cpp文件,改完保存时提示&quot;Cannot save file. The file may be ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94Okdb.html" rel="bookmark" class="title">事实证明百度调整了友情链接的权重</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天是12.26号,可以说,BD的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgABRM.html" rel="bookmark" class="title">信托渠道困局：一条微博引发&OpenCurlyDoubleQuote;诺亚血案&rdquo;</a>
					<div>
						本报记者 李崇磊 北京报道 一场&quot;封杀&quot;风波将国内第三方理财机构和信托公司的矛盾暴露在公众视野当中.尽管诺亚财富8月1日发布的2011财年第二季度未经审计财报交出了超预期的优秀业绩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBre6z.html" rel="bookmark" class="title">VS2003使用问题！</a>
					<div>
						问题描述 请问在vs2003.net使用时,程序修改后点调试---&gt;开始执行(不调试)和点生成--&gt;重新生成解决方案有什么区别?有时程序结果不一样?请问怎样使用时正确的?谢谢!! 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjAAOM.html" rel="bookmark" class="title">全球最大20家网站排名：中国5家网站上榜</a>
					<div>
						腾讯科技讯(迭影)http://www.aliyun.com/zixun/aggregation/17197.html&quot;&gt;北京时间2月8日消息,美国科技博客BusinessInside ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
